## ros-dashing-cyclonedds-cmake-module 0.7.0

=== CMakeLists.txt ===
# Copyright 2016 Proyectos y Sistemas de Mantenimiento SL (eProsima).
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

cmake_minimum_required(VERSION 3.5)

project(cyclonedds_cmake_module)

find_package(ament_cmake REQUIRED)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package(
  CONFIG_EXTRAS "cyclonedds_cmake_module-extras.cmake"
)

install(DIRECTORY cmake
  DESTINATION share/${PROJECT_NAME})

=== debian/changelog ===
ros-dashing-cyclonedds-cmake-module (0.7.0-1bionic) bionic; urgency=high



 -- Erik Boasson <erik.boasson@adlinktech.com>  Tue, 15 Sep 2020 05:00:00 -0000

ros-dashing-cyclonedds-cmake-module (0.5.1-1bionic) bionic; urgency=high



 -- Erik Boasson <erik.boasson@adlinktech.com>  Thu, 12 Mar 2020 05:00:00 -0000

ros-dashing-cyclonedds-cmake-module (0.4.4-1bionic) bionic; urgency=high



 -- Erik Boasson <erik.boasson@adlinktech.com>  Tue, 19 Nov 2019 06:00:00 -0000

ros-dashing-cyclonedds-cmake-module (0.4.3-1bionic) bionic; urgency=high



 -- Erik Boasson <erik.boasson@adlinktech.com>  Wed, 13 Nov 2019 06:00:00 -0000

ros-dashing-cyclonedds-cmake-module (0.4.2-1bionic) bionic; urgency=high



 -- Erik Boasson <erik.boasson@adlinktech.com>  Fri, 01 Nov 2019 05:00:00 -0000

ros-dashing-cyclonedds-cmake-module (0.4.1-1bionic) bionic; urgency=high

  * Use rosdep (#32 <https://github.com/ros2/rmw_cyclonedds/issues/32>)
  * Contributors: Dan Rose

 -- Erik Boasson <erik.boasson@adlinktech.com>  Thu, 24 Oct 2019 05:00:00 -0000

ros-dashing-cyclonedds-cmake-module (0.4.0-1bionic) bionic; urgency=high

  * Ensure all packages in the repository have the same version
    Signed-off-by: Scott K Logan <mailto:logans@cottsay.net>
  * remove Fast-CDR references in CMake config
  * initial commit
  * Contributors: Erik Boasson, Scott K Logan

 -- Erik Boasson <erik.boasson@adlinktech.com>  Thu, 29 Aug 2019 05:00:00 -0000

=== debian/control ===
Source: ros-dashing-cyclonedds-cmake-module
Section: misc
Priority: optional
Maintainer: Erik Boasson <erik.boasson@adlinktech.com>
Build-Depends: debhelper (>= 9.0.0), ros-dashing-ament-cmake, ros-dashing-ament-lint-auto, ros-dashing-ament-lint-common, ros-dashing-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-dashing-cyclonedds-cmake-module
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-dashing-ros-workspace
Description: Provide CMake module to find Eclipse CycloneDDS.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/dashing/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/dashing" \
		-DAMENT_PREFIX_PATH="/opt/ros/dashing" \
		-DCMAKE_PREFIX_PATH="/opt/ros/dashing"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-dashing-cyclonedds-cmake-module//opt/ros/dashing/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_install
